Package org.apache.solr.common.util

# Class PropertiesUtil

java.lang.Object
org.apache.solr.common.util.PropertiesUtil

public class PropertiesUtil extends Object
Breaking out some utility methods into a separate class as part of SOLR-4196. These utils have nothing to do with the DOM (they came from DomUtils) and it's really confusing to see them in something labeled DOM

## Constructor Summary

Constructors
Constructor
Description
`PropertiesUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`substitute(String value, Function<String,String> coreProperties)`
`static String`
`substituteProperty(String value, Properties coreProperties)`
`static boolean`
`toBoolean(String value)`
`static Integer`
`toInteger(String value, Integer defValue)`
Parse the given String value as an integer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertiesUtil

public PropertiesUtil()

## Method Details

### substituteProperty

public static String substituteProperty(String value, Properties coreProperties)

### substitute

public static String substitute(String value, Function<String,String> coreProperties)

### toInteger

public static Integer toInteger(String value, Integer defValue)
Parse the given String value as an integer. If the string cannot be parsed, returns the default

Parameters:
  `value` - the value to parse
  `defValue` - the default to return if the value cannot be parsed
Returns:
  an integer version of the passed in value

### toBoolean

public static boolean toBoolean(String value)